<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        UNREPORTED
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Finance</li>
        <li class="active"> Cash Disbursement</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-6">
            <div class="box">
                <div class="box-header">
                    <h4>Detail Laporan Dana</h4>
                </div>
                <div class="box-body">
                    <table class="table table-bordered">
                        <tbody>
                        <tr>
                            <td width="20%">User</td>
                            <td width="5px">:</td>
                            <td th:text="${laporanDana.getUserPelapor().getNamaKaryawan()}"></td>
                        </tr>
                        <tr>
                            <td>Deskripsi</td>
                            <td>:</td>
                            <td th:text="${laporanDana.getDeskripsi()+' - '+laporanDana.getKeterangan()}"></td>
                        </tr>
                        <tr>
                            <td>Penggunaan</td>
                            <td>:</td>
                            <td th:text="${'Rp. ' + #numbers.formatDecimal(laporanDana.getJumlah(), 0, 'POINT', 2, 'COMMA')}"></td>
                        </tr>
                        <tr>
                            <td>Attechment</td>
                            <td>:</td>
                            <td>
                                <a
                                        th:if="${laporanDana.file} == 'default.jpg'"
                                        class="btn btn-danger btn-xs"
                                >
                                    No Attachment
                                </a>
                                <a
                                        th:if="${!laporanDana.file.equals('default.jpg') && #strings.endsWith(laporanDana.file, 'jpg')}"
                                        class="btn btn-primary btn-xs"
                                        th:href="@{/laporan_dana/bukti(laporanDana = ${laporanDana.getId()})}"
                                        target="_blank"
                                >
                                    View Attachment
                                </a>


                                <a
                                        th:if="${#strings.endsWith(laporanDana.file, 'pdf')}"
                                        class="btn btn-primary btn-xs"
                                        th:href="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${laporanDana.id})}"
                                        target="_blank"
                                >
                                    View Attachment
                                </a>

                                <a
                                        th:if="${#strings.endsWith(laporanDana.file, 'doc')}"
                                        class="btn btn-primary btn-xs"
                                        th:href="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${laporanDana.id})}"
                                        target="_blank"
                                >
                                    View Attachment
                                </a>

                                <a
                                        th:if="${#strings.endsWith(laporanDana.file, 'docx')}"
                                        class="btn btn-primary btn-xs"
                                        th:href="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${laporanDana.id})}"
                                        target="_blank"
                                >
                                    View Attachment
                                </a>

                                <a
                                        th:if="${#strings.endsWith(laporanDana.file, 'xls')}"
                                        class="btn btn-primary btn-xs"
                                        th:href="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${laporanDana.id})}"
                                        target="_blank"
                                >
                                    View Attachment
                                </a>

                                <a
                                        th:if="${#strings.endsWith(laporanDana.file, 'xlsx')}"
                                        class="btn btn-primary btn-xs"
                                        th:href="@{/laporandana/{laporanDana}/bukti/(laporanDana = ${laporanDana.id})}"
                                        target="_blank"
                                >
                                    View Attachment
                                </a>

                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="row" th:if="${errorMessage != null}">
        <div class="col-md-6">
            <div class="alert alert-danger">
                <span th:text="${errorMessage}"></span>
            </div>
        </div>
    </div>

    <div class="row" th:if="${errorMessage == null}">
        <div class="col-md-6">
            <div class="box">
                <div class="box-header">
                    <form method="get">
                    <div class="form-group">
                        <input type="hidden" name="laporanDana" th:value="${laporanDana.getId()}">
                        <label for="journalTemplate" class="col-sm-2 control-label">Journal Template</label>

                        <div class="col-sm-8">
                            <select class="form-control select2" name="journalTemplate" id="journalTemplate" style="width: 100%;">
                                <option th:each="data : ${journalTemplates}"
                                        th:selected="(${data} == *{journalTemplateSelected})"
                                        th:text="${'('+ data.getCode() +')'  + '       -       ' +  data.getName() + ' - ' + data.getCategory()}"
                                        th:value="${data.getId()}">sdasd</option>
                            </select>
                        </div>

                        <div class="col-sm-2">
                            <button type="submit" class="btn btn-default">Chose</button>
                        </div>
                    </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row" th:if="${errorMessageSatu != null}">
        <div class="col-md-6">
            <div class="alert alert-danger">
                <span th:text="${errorMessageSatu}"></span>
            </div>
        </div>
    </div>
    <div class="row" th:if="${errorMessageSatu == null && journalTemplateSelected != null}">
        <div class="col-md-6">
            <div class="box">
                <div class="box-header">
                    <table class="table table-bordered">
                        <tbody>
                        <tr>
                            <td>Template Code</td>
                            <td>:</td>
                            <td th:text="${journalTemplateSelected.getCode()}"></td>
                        </tr>
                        <tr>
                            <td>Template Name</td>
                            <td>:</td>
                            <td th:text="${journalTemplateSelected.getName()}"></td>
                        </tr>
                        <tr>
                            <td>Category</td>
                            <td>:</td>
                            <td th:text="${journalTemplateSelected.getCategory()}"></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <form method="post" th:action="@{/keuangan/pencairan/report/approve}">
                <div class="box-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>No</th>
                            <th>Akun</th>
                            <th>Tipe</th>
                            <th>Amount</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataJournal,row : ${journalTemplateDetailList}">
                            <td th:text="${dataJournal.getSequence()}"></td>
                            <td th:text="${dataJournal.getAccount()}"></td>
                            <td th:text="${dataJournal.getBalanceType()}"></td>
                            <td>
<!--                                <input type="text" class="form-control" th:name="${dataJournal.getIdAccount()}" th:value="${laporanDana.getJumlah()}">-->

                                <input type="text" class="form-control"
                                       th:name="${dataJournal.getIdAccount()}"
                                       th:value="${#numbers.formatDecimal(laporanDana.getJumlah(), 0, 'POINT', 0, 'COMMA')}"
                                       oninput="formatCurrency(this)"
                                       onblur="formatCurrency(this)"
                                       onkeypress="return isNumberKey(event)">
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <div class="box-footer">
                    <a class="btn btn-danger pull-left" th:href="@{/keuangan/pencairan/report/}">Cancel</a>
                    <input type="submit" class="btn btn-success pull-right" value="Submit">
                </div>
                </form>
            </div>
        </div>
    </div>
</section>




</body>
</html>